<?php
require_once("../includes/bootstrap2.php");
$sesion=new sesion(); // inicio la sesion

if(!comprobar_sesion()){
	$ar=array();
	$ar['error']='session';
	echo json_encode($ar);
	exit;
}
$permisos = str_split($sesion->get('permiso'));
if (!in_array("A", $permisos) && !in_array("M", $permisos) && !in_array("E", $permisos)) {
    $rta = array('error' => 10001,'desc'=>"No tiene permisos");
    echo json_encode($rta);
    exit;
}
if(isset($_POST['acc'])){
	
	$fn=escapar($_POST['acc']);
	$codxasixgrup=escapar($_POST["codasixgru"]);
	$percal=escapar($_POST["percal"]);
	$academia = bootstrap::initBd($sesion->get('anio'));
	
	if($fn=="cnfSab"){
		$cadporsab="";
		$dts=$_POST["datas"];
		foreach($dts as $dt){
			$cadporsab.=$dt["cd"].":".$dt["v"].":".$dt["acc"].">";
		}
		if(!empty($cadporsab))
			$sql="CALL SP_RECONFIG_PORCEN_SABERES('$codxasixgrup','$cadporsab',$percal)";
	}
	$error=0;
	if(!empty($sql)){
		$academia->instruccion($sql);
		$error=$academia->extraer_error();
	}
	$academia->cerrar();
	$rta=array('error'=>($error>0) ? 'cnfSab'.$error : $error, 'sql'=>$sql);
	//$rta["sql"]=$sql;
	echo json_encode($rta);
	
}else{
	$rta=array('error'=>0);
	echo json_encode($rta);
}
?>